// urlmonikerDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CUrlmonikerDlg dialog

class  CBindStatusCallback	;

class CUrlmonikerDlg : public CDialog
{
// Construction
public:
	void BindFinished( );
	IMoniker*				m_pUrlMoniker ;
	CBindStatusCallback*	m_pBindStatusCallback ;
	IBindCtx*				m_pBindCtx ;
	IStream *				m_pStream ;

	CUrlmonikerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CUrlmonikerDlg)
	enum { IDD = IDD_URLMONIKER_DIALOG };
	CEdit	m_TimeoutEdit;
	CComboBox	m_URLCombo;
	CButton	m_BindButton;
	CProgressCtrl	m_Progress;
	CString	m_DataEdit;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUrlmonikerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CUrlmonikerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBind();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
